CVEdetails.com the ultimate security vulnerability data source
(e.g.: CVE-2009-1234 or 2010-1234 or 20101234)
Log In   Register   Reset Password   Activate Account
Vulnerability Feeds & WidgetsNew   www.itsecdb.com  

Vulnerability Details : CVE-2012-2111

The (1) CreateAccount, (2) OpenAccount, (3) AddAccountRights, and (4) RemoveAccountRights LSA RPC procedures in smbd in Samba 3.4.x before 3.4.17, 3.5.x before 3.5.15, and 3.6.x before 3.6.5 do not properly restrict modifications to the privileges database, which allows remote authenticated users to obtain the "take ownership" privilege via an LSA connection.
Publish Date : 2012-04-30 Last Update Date : 2013-01-29
Search Twitter   Search YouTube   Search Google

- CVSS Scores & Vulnerability Types

CVSS Score
6.5
Confidentiality Impact Partial (There is considerable informational disclosure.)
Integrity Impact Partial (Modification of some system files or information is possible, but the attacker does not have control over what can be modified, or the scope of what the attacker can affect is limited.)
Availability Impact Partial (There is reduced performance or interruptions in resource availability.)
Access Complexity Low (Specialized access conditions or extenuating circumstances do not exist. Very little knowledge or skill is required to exploit. )
Authentication Single system (The vulnerability requires an attacker to be logged into the system (such as at a command line or via a desktop session or web interface).)
Gained Access None
Vulnerability Type(s)
CWE ID 264

- Additional Vendor Supplied Data

Vendor Impact CVSS Score CVSS Vector Report Date Publish Date
Redhat important
6.0
AV:N/AC:M/Au:S/C:P/I:P/A:P 2012-04-17 2012-04-30
If you are a vendor and you have additional data which can be automatically imported into our database, please contact admin @ cvedetails.com

- Related OVAL Definitions

Title Definition Id Class Family
ELSA-2012:0533: samba and samba3x security update (Important) oval:org.mitre.oval:def:23164 unix
ELSA-2012:0533: samba and samba3x security update (Important) oval:org.mitre.oval:def:23186 unix
HP-UX CIFS Server (Samba), Remote Execution of Arbitrary Code, Elevation of Privileges oval:org.mitre.oval:def:19640 unix
RHSA-2012:0533: samba and samba3x security update (Important) oval:org.mitre.oval:def:20811 unix
RHSA-2012:0533: samba and samba3x security update (Important) oval:com.redhat.rhsa:def:20120533 unix
OVAL (Open Vulnerability and Assessment Language) definitions define exactly what should be done to verify a vulnerability or a missing patch. Check out the OVAL definitions if you want to learn what you should do to verify a vulnerability.

- Products Affected By CVE-2012-2111

# Product Type Vendor Product Version Update Edition Language
1 Application Samba Samba 3.4.0 Version Details Vulnerabilities
2 Application Samba Samba 3.4.1 Version Details Vulnerabilities
3 Application Samba Samba 3.4.2 Version Details Vulnerabilities
4 Application Samba Samba 3.4.3 Version Details Vulnerabilities
5 Application Samba Samba 3.4.4 Version Details Vulnerabilities
6 Application Samba Samba 3.4.5 Version Details Vulnerabilities
7 Application Samba Samba 3.4.6 Version Details Vulnerabilities
8 Application Samba Samba 3.4.7 Version Details Vulnerabilities
9 Application Samba Samba 3.4.8 Version Details Vulnerabilities
10 Application Samba Samba 3.4.9 Version Details Vulnerabilities
11 Application Samba Samba 3.4.10 Version Details Vulnerabilities
12 Application Samba Samba 3.4.11 Version Details Vulnerabilities
13 Application Samba Samba 3.4.12 Version Details Vulnerabilities
14 Application Samba Samba 3.4.13 Version Details Vulnerabilities
15 Application Samba Samba 3.4.14 Version Details Vulnerabilities
16 Application Samba Samba 3.4.15 Version Details Vulnerabilities
17 Application Samba Samba 3.4.16 Version Details Vulnerabilities
18 Application Samba Samba 3.5.0 Version Details Vulnerabilities
19 Application Samba Samba 3.5.1 Version Details Vulnerabilities
20 Application Samba Samba 3.5.2 Version Details Vulnerabilities
21 Application Samba Samba 3.5.3 Version Details Vulnerabilities
22 Application Samba Samba 3.5.4 Version Details Vulnerabilities
23 Application Samba Samba 3.5.5 Version Details Vulnerabilities
24 Application Samba Samba 3.5.6 Version Details Vulnerabilities
25 Application Samba Samba 3.5.7 Version Details Vulnerabilities
26 Application Samba Samba 3.5.8 Version Details Vulnerabilities
27 Application Samba Samba 3.5.9 Version Details Vulnerabilities
28 Application Samba Samba 3.5.10 Version Details Vulnerabilities
29 Application Samba Samba 3.5.11 Version Details Vulnerabilities
30 Application Samba Samba 3.5.12 Version Details Vulnerabilities
31 Application Samba Samba 3.5.13 Version Details Vulnerabilities
32 Application Samba Samba 3.5.14 Version Details Vulnerabilities
33 Application Samba Samba 3.6.0 Version Details Vulnerabilities
34 Application Samba Samba 3.6.1 Version Details Vulnerabilities
35 Application Samba Samba 3.6.2 Version Details Vulnerabilities
36 Application Samba Samba 3.6.3 Version Details Vulnerabilities
37 Application Samba Samba 3.6.4 Version Details Vulnerabilities

- Number Of Affected Versions By Product

Vendor Product Vulnerable Versions
Samba Samba 37

- References For CVE-2012-2111

http://lists.fedoraproject.org/pipermail/package-announce/2012-May/079662.html
FEDORA FEDORA-2012-6981
http://lists.fedoraproject.org/pipermail/package-announce/2012-May/079670.html
FEDORA FEDORA-2012-6999
http://lists.fedoraproject.org/pipermail/package-announce/2012-May/079677.html
FEDORA FEDORA-2012-7006
http://lists.opensuse.org/opensuse-security-announce/2012-04/msg00023.html
SUSE SUSE-SU-2012:0573
http://lists.opensuse.org/opensuse-security-announce/2012-05/msg00001.html
SUSE openSUSE-SU-2012:0583
http://secunia.com/advisories/48996
SECUNIA 48996
http://secunia.com/advisories/48984
SECUNIA 48984
http://secunia.com/advisories/48976
SECUNIA 48976
http://rhn.redhat.com/errata/RHSA-2012-0533.html
REDHAT RHSA-2012:0533
http://osvdb.org/81648
OSVDB 81648
http://marc.info/?l=bugtraq&m=134323086902585&w=2
HP SSRT100824
http://lists.opensuse.org/opensuse-security-announce/2012-05/msg00003.html
SUSE SUSE-SU-2012:0591
http://secunia.com/advisories/48999
SECUNIA 48999
http://secunia.com/advisories/49017
SECUNIA 49017
http://www.collax.com/produkte/AllinOne-server-for-small-businesses#id2565578 CONFIRM
http://secunia.com/advisories/49030
SECUNIA 49030
http://www.securitytracker.com/id?1026988
SECTRACK 1026988
http://www.debian.org/security/2012/dsa-2463
DEBIAN DSA-2463
http://www.samba.org/samba/security/CVE-2012-2111 CONFIRM
http://www.ubuntu.com/usn/USN-1434-1
UBUNTU USN-1434-1

- Metasploit Modules Related To CVE-2012-2111

There are not any metasploit modules related to this vulnerability (Please visit www.metasploit.com for more information)


CVE is a registred trademark of the MITRE Corporation and the authoritative source of CVE content is MITRE's CVE web site. CWE is a registred trademark of the MITRE Corporation and the authoritative source of CWE content is MITRE's CWE web site. OVAL is a registered trademark of The MITRE Corporation and the authoritative source of OVAL content is MITRE's OVAL web site.
Use of this information constitutes acceptance for use in an AS IS condition. There are NO warranties, implied or otherwise, with regard to this information or its use. Any use of this information is at the user's risk. It is the responsibility of user to evaluate the accuracy, completeness or usefulness of any information, opinion, advice or other content. EACH USER WILL BE SOLELY RESPONSIBLE FOR ANY consequences of his or her direct or indirect use of this web site. ALL WARRANTIES OF ANY KIND ARE EXPRESSLY DISCLAIMED. This site will NOT BE LIABLE FOR ANY DIRECT, INDIRECT or any other kind of loss.